### Method

# Gio Credentials set_native

since: 2.26

#### Declaration

    void
    g_credentials_set_native (
      GCredentials* credentials,
      GCredentialsType native_type,
      gpointer native
    )

#### Description

Copies the native credentials of type `native_type` from `native` into `credentials`.

It is a programming error (which will cause a warning to be logged) to use this method if there is no `GCredentials` support for the OS or if `native_type` isn’t supported by the OS.

Available since: 2.26

#### Parameters

`native_type`

  Type: `GCredentialsType`

  The type of native credentials to set.

`native`

  Type: `gpointer`

  A pointer to native credentials.

  The data is owned by the caller of the method.